#  zg.py
#
# A simple interface for logic2 to handle particulars of Zelle graphics.py 
#

from graphics import *

def zpt(tupl) : return Point(tupl[0],tupl[1])  # allow simple tuple to rep points

def drawCircle(win,color,center,radius,width) :
    c = Circle(zpt(center), radius)    # circle
    finish(win,c,color,width)          # 
    return c

def drawLines(win,color,close,points,width=1) :
    lines = []
    for i in range(len(points)-1) :
        a,b = (points[i],points[i+1])
        if a == None or b == None : continue
        l = Line(zpt(a),zpt(b))
        finish(win,l,color,width)
        lines.append(l)               # list of lines
    return lines

def drawPolygon(win,color,points,width) :
    plist = map(zpt, points)
    p = Polygon(*plist)
    if not width : p.setOutline(color)       # no black edge
    finish(win,p,color,width)                # and finish up
    return p

def drawText(win, center, text, size=14, color="black") :
    txt = Text(zpt(center), text)              # set standard size and font
    txt.setFace("courier")
    txt.setSize(size)
    txt.setFill(color)
    txt.draw(win)
    return txt

def finish(win,x,color,width) :
    x.setFill(color)
    x.setWidth(width)
    x.draw(win)

def recolor(x, color) :
    x.setFill(color)             # change color of wire segment
